Sidebar no longer aligns with the tabbar but sits under the tabbar
Created attachment 433423
Screenshot of 3.6 and trunk

Maybe not the best summary but the sidebars no longer align with the tabbar.  The sidebars now open beneath the tabbar instead of pushing the tabbar to the right (or left)